import machine
import kooka

message = None

kooka.radio.enable()


kooka.display.print('Ready to send', show=0)

kooka.display.show()

while True:
    if kooka.button_a.was_pressed():
        message = 'R'
        kooka.led_red.toggle()
    if kooka.button_b.was_pressed():
        message = 'G'
        kooka.led_green.toggle()
    if kooka.button_d.was_pressed():
        message = 'Y'
        kooka.led_orange.toggle()
    if message:
        kooka.display.print('Message is ', message, show=0)
        kooka.radio.send(message)
        message = ''
    kooka.display.show()
    machine.idle()

# Generated Blockly XML follows
# <xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="1ebxnZj^yJrddEqvVi_C">message</variable></variables><block type="display_print" id="O{%?Cv~5H#=UNo9utoh{" x="-30" y="-90"><value name="VALUE"><shadow type="text" id="e%9^Y3YB_m4@F{|$1Snf"><field name="TEXT">Ready to send</field></shadow></value></block><block type="event_every_loop" id="IQ86^W83{b(P4^;;3bUA" x="-30" y="-50"><statement name="DO"><block type="controls_if" id="YxY296mvV)%wu~M@#f$e"><value name="IF0"><block type="button_was_pressed" id="7Yy{j%iL_*ckdf@fn7#y"><field name="BUTTON">kooka.button_a.was_pressed()</field></block></value><statement name="DO0"><block type="variables_set" id="9bq_4AtP!vn86iHG[CBp"><field name="VAR" id="1ebxnZj^yJrddEqvVi_C">message</field><value name="VALUE"><block type="text" id=":|BaEeaOfpm=+=FrJ.]y"><field name="TEXT">R</field></block></value><next><block type="led_toggle" id=",$PlHR?%JWJgDajEwOug"><field name="LED">led_red</field></block></next></block></statement><next><block type="controls_if" id="!$]!gQmr=*!th59$pS$O"><value name="IF0"><block type="button_was_pressed" id="y[uH+T)eAnCl%OdWXd)="><field name="BUTTON">kooka.button_b.was_pressed()</field></block></value><statement name="DO0"><block type="variables_set" id="A0CXq}-M|t])mg|[A?;*"><field name="VAR" id="1ebxnZj^yJrddEqvVi_C">message</field><value name="VALUE"><block type="text" id="_y{3U::O6mk}#?vwf7;^"><field name="TEXT">G</field></block></value><next><block type="led_toggle" id="FT#]/OvL@sEwg$Q-IvXW"><field name="LED">led_green</field></block></next></block></statement><next><block type="controls_if" id="+SyeYJ(dsfOlL-(J]^H5"><value name="IF0"><block type="button_was_pressed" id="x38qkP_|1^VN!$KY9aH7"><field name="BUTTON">kooka.button_d.was_pressed()</field></block></value><statement name="DO0"><block type="variables_set" id="0ASyLvG%t0s*rfgwX}QM"><field name="VAR" id="1ebxnZj^yJrddEqvVi_C">message</field><value name="VALUE"><block type="text" id="R2A=+}Ur*RX9ETf|+Gum"><field name="TEXT">Y</field></block></value><next><block type="led_toggle" id="h?[hC=OrE)T6`!RWUU!6"><field name="LED">led_orange</field></block></next></block></statement><next><block type="controls_if" id="#(S01V=!w54hOv*T^C9Q"><value name="IF0"><block type="variables_get" id="KPy$OT8;Nh*gU}cvX;1b"><field name="VAR" id="1ebxnZj^yJrddEqvVi_C">message</field></block></value><statement name="DO0"><block type="display_print2" id="N)XBgh,f7_)g5qwG|YzL"><value name="VALUE1"><shadow type="text" id="h~UfBhoUv.z|3oVyG~}~"><field name="TEXT">Message is </field></shadow></value><value name="VALUE2"><shadow type="math_number" id="2?)zU4pz`xSU(LFh.=!#"><field name="NUM">123</field></shadow><block type="variables_get" id="akr~g2M2`AgkRGMo$HLw"><field name="VAR" id="1ebxnZj^yJrddEqvVi_C">message</field></block></value><next><block type="radio_send" id="l./~0+o9Wc}%idNO3~zk"><value name="VALUE"><shadow type="text" id="VoFYBeZl%6Av=ss{A,2R"><field name="TEXT">Hello Class</field></shadow><block type="variables_get" id="w?_wxy39sz+694cO|Z9!"><field name="VAR" id="1ebxnZj^yJrddEqvVi_C">message</field></block></value><next><block type="variables_set" id="H6!W:Eb)?PojiR`eDB7k"><field name="VAR" id="1ebxnZj^yJrddEqvVi_C">message</field><value name="VALUE"><block type="text" id="U8GZr70@OhRi+Z8M8O_r"><field name="TEXT"/></block></value></block></next></block></next></block></statement></block></next></block></next></block></next></block></statement></block></xml>
